<?php
/**********************************************\
| SMFSHOP (Shop MOD for Simple Machines Forum) |
|         (c) 2005 DanSoft Australia           |
|      http://www.dansoftaustralia.com/        |
\**********************************************/

//File: AddToPostCount.php
//      Item (takes additional fields when adding to Admin panel)

//VERSION: 1.1 (Build 4)
//DATE: 10th April 2005

class item_AddToPostCount extends itemTemplate {
    function getItemDetails() {
        $this->name = "Add xxx to Post Count";
        $this->desc = "Increase your Post Count by xxx!";
        $this->price = 50;
        
        $this->require_input = false;
        $this->can_use_item = true;
    }
    
    //this is the best bit of this item. When you add the item into the admin panel, you
    //can set additional variables (up to 4). Make sure to call them info1, info2, info3
    //and info4.
    function getAddInput() {
        return "Amount to change post count by: <input type='text' name='info1' value='100'>";
    }

    //the additional parameters (see 'getAddInput' above) are in the '$item_info array.
    //make sure to make it global (like shown here) otherwise you won't be able to access
    //it's contents. THE ARRAY IS 1-BASED (eg. 1 IS THE FIRST ITEM) NOT 0-BASED!
    function onUse() {
        global $db_prefix, $ID_MEMBER, $item_info;

        $result = db_query("UPDATE {$db_prefix}members
                            SET posts = posts + {$item_info[1]}
                            WHERE ID_MEMBER = {$ID_MEMBER}",
                            __FILE__, __LINE__);
        return "Successfully added {$item_info[1]} to post count!";
        
        //echo $item_info[1];
        die("dead");
    }

}

?>
